package com.bytedance.android.livesdk.livesetting.linkmic;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_cohost_preview_anchor")
public final class LiveCohostPreviewAnchorSetting {
    @Group(isDefault = true, value = "default group")
    public static final int DEFAULT = 0;
    public static final LiveCohostPreviewAnchorSetting INSTANCE = new LiveCohostPreviewAnchorSetting();

    static {
        Covode.recordClassIndex(17923);
    }

    public final int getValue() {
        return SettingsManager.INSTANCE.getIntValue(LiveCohostPreviewAnchorSetting.class);
    }

    public final boolean isOpenCoHostPreviewAnchor() {
        if (getValue() == 1) {
            return true;
        }
        return false;
    }
}
